Package org.eclipse.microprofile.openapi.apps.petstore.resource

# Class UserResource

java.lang.Object
org.eclipse.microprofile.openapi.apps.petstore.resource.UserResource

@Path("/user") @Produces({"application/json","application/xml"}) public class UserResource extends Object

## Constructor Summary

Constructors
Constructor
Description
`UserResource()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`createUser(User user)`
`jakarta.ws.rs.core.Response`
`createUsersWithArrayInput(User[] users)`
`jakarta.ws.rs.core.Response`
`createUsersWithListInput(List<User> users)`
`jakarta.ws.rs.core.Response`
`deleteUser(String username)`
`jakarta.ws.rs.core.Response`
`getUserByName(String username)`
`jakarta.ws.rs.core.Response`
`loginUser(String username, String password)`
`jakarta.ws.rs.core.Response`
`logoutUser()`
`jakarta.ws.rs.core.Response`
`updateUser(String username, User user)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserResource

public UserResource()

## Method Details

### createUser

@POST public jakarta.ws.rs.core.Response createUser(User user)

### createUsersWithArrayInput

@POST @Path("/createWithArray") public jakarta.ws.rs.core.Response createUsersWithArrayInput(User[] users)

### createUsersWithListInput

@POST @Path("/createWithList") public jakarta.ws.rs.core.Response createUsersWithListInput(List<User> users)

### updateUser

@PUT @Path("/{username}") public jakarta.ws.rs.core.Response updateUser(@PathParam("username") String username, User user)

### deleteUser

@DELETE @Path("/{username}") public jakarta.ws.rs.core.Response deleteUser(@PathParam("username") String username)

### getUserByName

@GET @Path("/{username}") public jakarta.ws.rs.core.Response getUserByName(@PathParam("username") String username) throws ApiException

Throws:
  `ApiException`

### loginUser

@GET @Path("/login") public jakarta.ws.rs.core.Response loginUser(@QueryParam("username") String username, @QueryParam("password") String password)

### logoutUser

@GET @Path("/logout") public jakarta.ws.rs.core.Response logoutUser()